$rootNode: '#app';

/* Colors */
$color-black: #000000;
$color-white: #ffffff;
$color-cobalt-blue: #0047A3;
$color-blue-logo: #002F6C;
$color-oxford-blue: #00224F;
$color-crayola-yellow: #FFD35C;
$color-yellow-logo: #FFC72C;
$color-mango-yellow: #F5B400;
$color-secondary-item: #775C50;
$color-secondary-item-75: rgba(119, 92, 80, .75);
$color-secondary-item-10: rgba(119, 92, 80, .1);
$color-secondary-cyan: #048CD6;
$color-secondary-cyan-75: rgba(4, 140, 214, .75);
$color-secondary-cyan-10: rgba(4, 140, 214, .1);
$color-secondary-lilac: #94679C;
$color-secondary-lilac-75: rgba(148, 103, 156, .75);
$color-secondary-lilac-10: rgba(148, 103, 156, .1);
$color-secondary-red: #CB4F53;
$color-secondary-red-75: rgba(203, 79, 83, .75);
$color-secondary-red-10: rgba(203, 79, 83, .1);
$color-secondary-orange: #CB6015;
$color-secondary-orange-75: rgba(203, 96, 21, .75);
$color-secondary-orange-10: rgba(203, 96, 21, .1);
$color-secondary-green: #679A47;
$color-secondary-green-75: rgba(103, 154, 71, .75);
$color-secondary-green-10: rgba(103, 154, 71, .1);
$color-inner-paper: #DCB596;
$color-product-bg: #F5E5CB;
$color-grey-2: #EBEEF3;
$color-grey-2-75: rgba(235, 238, 243, .75);
$color-grey-2-50: rgba(235, 238, 243, .5);
$color-grey-4: #D9DFE8;
$color-grey-4-75: rgba(217, 223, 232, .75);
$color-grey-4-50: rgba(217, 223, 232, .5);
$color-grey-6: #A5B3C9;
$color-grey-6-75: rgba(165, 179, 201, .75);
$color-grey-6-50: rgba(165, 179, 201, .5);
$color-grey-8: #697485;
$color-grey-8-75: rgba(105, 116, 133, .75);
$color-grey-8-50: rgba(105, 116, 133, .5);
$color-grey-9: #263040;
$color-grey-9-75: rgba(38, 48, 64, .75);
$color-grey-9-50: rgba(38, 48, 64, .5);
$color-informative-red: #C8102E;
$color-fiber-blue: #699CC6;
$color-delikatess-blue: #3D7ACA;
$color-sport-blue: #385D7F;
$color-sesam-blue: #5593C1;
$color-goudbruin: #EA8651;
$color-rustikal: #DB7D59;
$color-mehrkorn: #D7A95A;
$color-green-ragi: #347963;
$color-delikatess-linfro: #518EAA;
$color-delikatess-sesam: #A5525C;
$color-sesam-red: #BD4F5C;
$color-wieloziarniste: #F79B2F;
$color-rounds-blue: #1466A0;
$color-sea-salt: #FDD086;
$color-kanel: #B15533;
$color-kanel-light: #D4B59E;
$color-french-herbs: #A9C47F;
$color-chili: #A60A3D;
$color-chili-light: #E6BAA8;
$color-sea-salt-blue: #006BA6;
$color-violet: #512A44;
$color-tomato: #BA0C2F;
$color-paprika: #DC582A;
$color-rounds-green: #658D1B;
$color-eko-green: #B5D1C0;
$color-surdeg-logo: #7D6556;
$color-surdeg-flerkorn: #AF4D64;
$color-surdeg-rag: #80615E;
$color-surdeg-gourmet: #86578D;
$color-natural: #00573F;
$color-rosemary-green: #4E801F;
$color-hummus: #007FA3;
$color-hummus-light: #9ADBE8;
$color-cheese: #EF9600;
$color-cheese-light: #ECD898;
$color-healty-green: #275D38;
$color-healty-green-light: #ADCAB8;
$color-mildcheese: #003C71;
$color-mildcheese-light: #ABCAE9;
$color-brunost-light: #DBB7BB;
$color-brunost: #9B2242;
$color-chives: #686F12;
$color-chives-light: #C4D6A4;
$color-healty-paprika: #D45D00;
$color-healty-paprika-light: #FCC89B;
$color-healty-tomato: #9D2235;
$color-healty-tomato-light: #E1BBB4;
$color-sourcream-green: #55951B;
$color-sourcream-green-light: #C3DC93;
$color-crisp-orange: #ED8B00;
$color-crisp-green: #789D4A;
$color-crisp-violet: #924E8C;

$colors: (
  "black": $color-black,
  "white": $color-white,
  "cobalt-blue": $color-cobalt-blue,
  "blue-logo": $color-blue-logo,
  "oxford-blue": $color-oxford-blue,
  "crayola-yellow": $color-crayola-yellow,
  "yellow-logo": $color-yellow-logo,
  "mango-yellow": $color-mango-yellow,
  "secondary-item": $color-secondary-item,
  "secondary-item-75": $color-secondary-item-75,
  "secondary-item-10": $color-secondary-item-10,
  "secondary-cyan": $color-secondary-cyan,
  "secondary-cyan-75": $color-secondary-cyan-75,
  "secondary-cyan-10": $color-secondary-cyan-10,
  "secondary-lilac": $color-secondary-lilac,
  "secondary-lilac-75": $color-secondary-lilac-75,
  "secondary-lilac-10": $color-secondary-lilac-10,
  "secondary-red": $color-secondary-red,
  "secondary-red-75": $color-secondary-red-75,
  "secondary-red-10": $color-secondary-red-10,
  "secondary-orange": $color-secondary-orange,
  "secondary-orange-75": $color-secondary-orange-75,
  "secondary-orange-10": $color-secondary-orange-10,
  "secondary-green": $color-secondary-green,
  "secondary-green-75": $color-secondary-green-75,
  "secondary-green-10": $color-secondary-green-10,
  "inner-paper": $color-inner-paper,
  "product-bg": $color-product-bg,
  "grey-2": $color-grey-2,
  "grey-2-75": $color-grey-2-75,
  "grey-2-50": $color-grey-2-50,
  "grey-4": $color-grey-4,
  "grey-4-75": $color-grey-4-75,
  "grey-4-50": $color-grey-4-50,
  "grey-6": $color-grey-6,
  "grey-6-75": $color-grey-6-75,
  "grey-6-50": $color-grey-6-50,
  "grey-8": $color-grey-8,
  "grey-8-75": $color-grey-8-75,
  "grey-8-50": $color-grey-8-50,
  "grey-9": $color-grey-9,
  "grey-9-75": $color-grey-9-75,
  "grey-9-50": $color-grey-9-50,
  "informative-red": $color-informative-red,
  "fiber-blue": $color-fiber-blue,
  "delikatess-blue": $color-delikatess-blue,
  "sport-blue": $color-sport-blue,
  "sesam-blue": $color-sesam-blue,
  "goudbruin": $color-goudbruin,
  "rustikal": $color-rustikal,
  "mehrkorn": $color-mehrkorn,
  "green-ragi": $color-green-ragi,
  "delikatess-linfro":$color-delikatess-linfro,
  "delikatess-sesam":$color-delikatess-sesam,
  "sesam-red": $color-sesam-red,
  "wieloziarniste":$color-wieloziarniste,
  "rounds-blue":$color-rounds-blue,
  "sea-salt": $color-sea-salt,
  "kanel": $color-kanel,
  "kanel-light": $color-kanel-light,
  "french-herbs": $color-french-herbs,
  "chili": $color-chili,
  "chili-light": $color-chili-light,
  "sea-salt-blue": $color-sea-salt-blue,
  "violet": $color-violet,
  "tomato": $color-tomato,
  "paprika": $color-paprika,
  "rounds-green": $color-rounds-green,
  "eko-green": $color-eko-green,
  "surdeg-logo": $color-surdeg-logo,
  "surdeg-flerkorn": $color-surdeg-flerkorn,
  "surdeg-rag": $color-surdeg-rag,
  "surdeg-gourmet": $color-surdeg-gourmet,
  "natural": $color-natural,
  "rosemary-green": $color-rosemary-green,
  "hummus": $color-hummus,
  "hummus-light": $color-hummus-light,
  "cheese": $color-cheese,
  "cheese-light": $color-cheese-light,
  "healty-green": $color-healty-green,
  "healty-green-light": $color-healty-green-light,
  "mildcheese": $color-mildcheese,
  "mildcheese-light": $color-mildcheese-light,
  "brunost-light": $color-brunost-light,
  "brunost": $color-brunost,
  "chives": $color-chives,
  "chives-light": $color-chives-light,
  "healty-paprika": $color-healty-paprika,
  "healty-paprika-light": $color-healty-paprika-light,
  "healty-tomato": $color-healty-tomato,
  "healty-tomato-light": $color-healty-tomato-light,
  "sourcream-green": $color-sourcream-green,
  "sourcream-green-light": $color-sourcream-green-light,
  "crisp-orange": $color-crisp-orange,
  "crisp-green": $color-crisp-green,
  "crisp-violet": $color-crisp-violet
);

/* Font Family */
$base-fontsize: 20px;
$font-primary: 'Avenir LT Std';
$font-secondary: 'Wasa Crunch';
$font-system: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, "Noto Sans", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
$fonts: (
  "a": $font-primary,
  "w": $font-secondary
);

/* Font weights */
$fh-thin: 100;
$fh-extra-light: 200; /* extra-light */
$fh-ultra-light: 200; /* extra-light */
$fh-light: 300;
$fh-normal: 400; /* normal */
$fh-regular: 400; /* normal */
$fh-medium: 500;
$fh-semi-bold: 600; /* semi-bold */
$fh-demi-bold: 600; /* semi-bold */
$fh-bold: 700;
$fh-extra-bold: 800; /* extra-bold */
$fh-ultra-bold: 800; /* extra-bold */
$fh-black: 900; /* black */
$fh-heavy: 900; /* black */

$weights: (
  "thin": $fh-thin,
  "extra-light": $fh-extra-light,
  "ultra-light": $fh-ultra-light,
  "light": $fh-light,
  "normal": $fh-normal,
  "regular": $fh-regular,
  "medium": $fh-medium,
  "semi-bold": $fh-semi-bold,
  "demi-bold": $fh-demi-bold,
  "bold": $fh-bold,
  "extra-bold": $fh-extra-bold,
  "ultra-bold": $fh-ultra-bold,
  "black": $fh-black,
  "heavy": $fh-heavy
);

/* Bootstrap */
$bootstrap-xs: 0;
$bootstrap-sm: 768px;
$bootstrap-md: 1024px;
$bootstrap-lg: 1440px;
$bootstrap-xl: 9999px;

$bootstrap-columns: 12;
$bootstrap-gutter: 16px;
$bootstrap-row-columns: 6;

$grid-breakpoints: (
  xs: $bootstrap-xs,
  sm: $bootstrap-sm,
  md: $bootstrap-md,
  lg: $bootstrap-lg,
  xl: $bootstrap-xl
);
$bootstrap-container-side-spacings: (
  xs: 44px,
  sm: 104px,
  md: 96px,
  lg: 136px,
  xl: 136px
);
$bootstrap-gutters: (
  xs: 16px,
  sm: 16px,
  md: 24px,
  lg: 24px,
  xl: 24px
);

$container-max-widths: (
  xs: 100%,
  sm: 768px,
  md: 1024px,
  lg: 1440px,
  xl: 9999px
);

// iOS specific
$iphone-small-w: 320px;
$iphone-small-h: 568px;
$iphone-w: 375px;
$iphone-h: 667px;
$iphone-large-w: 414px;
$iphone-large-h: 736px;
$iphonex-w: 375px;
$iphonex-h: 812px;

$ipad-small-w: 768px;
$ipad-small-h: 1024px;
$ipad-w: 834px;
$ipad-h: 1112px;
$ipad-large-w: 1024px;
$ipad-large-h: 1366px;

// devices thresholds
$q: (
  mobile: $bootstrap-xs,
  tablet: $bootstrap-sm,
  desktop: $bootstrap-md,
  lgdesktop: $bootstrap-lg
);

/* Section padding */
$section-padding: (
  $bootstrap-sm: 2.5rem,
  $bootstrap-md: 3.75rem,
  $bootstrap-lg: 5rem,
  $bootstrap-xl: 7.5rem
);

/* Section vertical spacing */
$spacing-0: (
  $bootstrap-xs: 0px,
  $bootstrap-sm: 0px,
  $bootstrap-md: 0px
);

$spacing-xs: (
  $bootstrap-xs: 8px,
  $bootstrap-sm: 12px,
  $bootstrap-md: 16px
);

$spacing-s: (
  $bootstrap-xs: 12px,
  $bootstrap-sm: 16px,
  $bootstrap-md: 24px
);

$spacing-r: (
  $bootstrap-xs: 16px,
  $bootstrap-sm: 24px,
  $bootstrap-md: 32px
);

$spacing-m: (
  $bootstrap-xs: 32px,
  $bootstrap-sm: 40px,
  $bootstrap-md: 64px
);

$spacing-l: (
  $bootstrap-xs: 40px,
  $bootstrap-sm: 64px,
  $bootstrap-md: 80px
);

$spacing-xl: (
  $bootstrap-xs: 64px,
  $bootstrap-sm: 80px,
  $bootstrap-md: 120px
);

$spacing-xxl: (
  $bootstrap-xs: 80px,
  $bootstrap-sm: 120px,
  $bootstrap-md: 200px
);

$spacings: (
  "0": $spacing-0,
  "xs": $spacing-xs,
  "s": $spacing-s,
  "r": $spacing-r,
  "m": $spacing-m,
  "l": $spacing-l,
  "xl": $spacing-xl,
  "xxl": $spacing-xxl
);

/* Title sizes */
$title-w: (
  96:(
    fs: 96px,
    mb: 80px,
  ),
  64:(
    fs: 64px,
    mb: 64px,
  ),
  48:(
    fs: 48px,
    mb: 32px,
  ),
  32:(
    fs: 32px,
    mb: 24px,
  ),
  24:(
    fs: 24px,
    mb: 24px,
  )
);

$title-a: (
  40:(
    fs: 40px,
    mb: 62px,
  ),
  32:(
    fs: 32px,
    mb: 32px,
  ),
  24:(
    fs: 24px,
    mb: 24px,
  ),
  20:(
    fs: 20px,
    mb: 16px,
  )
);

/* z-index */
$z: (
  above   : 10000000000,
  over    : 1000000000,
  top     : 100000000,
  modal   : 10000000,
  overlay : 1000000,
  drawer  : 100000,
  topbar  : 10000,
  menu    : 1000,
  nav     : 100,
  content : 10,
  base    : 1,
  bottom  : 0,
  under   : -1,
  below   : -2
);

/* Debug */
$qa: (
  layout-enabled: true,
  layout-x-ray: false,
  layout-pesticide: true
);

$env: (
  is-debug: false
);
